%This M-Function was created automatically by PSG Toolbox.
%See section "Special Subroutines in Toolbox -> User Subroutine in Toolbox" in PSG Help Manual.
%
%Input variables:
%
%Inputs                     PSG Type    PSG Object            Location in Problem Statement              Class
%matrix_s_r2_benchmark      bench       matrix_s_r2           n/a                                        double
%matrix_s_r2_data           data        matrix_s_r2           n/a                                        double
%matrix_s_r2_vars           vars        matrix_s_r2           n/a                                        cell
%matrix_coeff_first_data    data        matrix_coeff_first    ro_err(matrix_s_R2, matrix_coeff_first)    double
%matrix_coeff_first_vars    vars        matrix_coeff_first    ro_err(matrix_s_R2, matrix_coeff_first)    cell
%point_1_data               data        point_1               Point: point_1                             double
%point_1_vars               vars        point_1               Point: point_1                             cell
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


function [solution_str,outargstruc_arr] = Optimization_subroutine(matrix_s_r2_benchmark,matrix_s_r2_data,matrix_s_r2_vars,matrix_coeff_first_data,matrix_coeff_first_vars,point_1_data,point_1_vars)

%Pack data to PSG structure:
count = 0;
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_s_r2',matrix_s_r2_data,matrix_s_r2_vars,matrix_s_r2_benchmark,[]);
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_coeff_first',matrix_coeff_first_data,matrix_coeff_first_vars,[],[]);
count = count+1;
iargstruc_arr(count) = point_pack('point_1',point_1_data,point_1_vars);
%Define problem statement:
problem_statement = sprintf('%s\n',...
'calculate',...
'  ro_err(matrix_s_R2, matrix_coeff_first)',...
'Point: point_1',...
' ');
%Change parameters with their values in problem statement:

%Optimize problem using mpsg_solver function:
[solution_str, outargstruc_arr] = mpsg_solver(problem_statement, iargstruc_arr);
results = psg_convert_outargstruc(solution_str,outargstruc_arr);
outargstruc_arr = results.data;
solution_str = results.string;

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2016.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 

